Loading...
Searching...
No Matches
GFGridContext Struct Referencefinal

`#include <gridfire_context.h>`

Inheritance diagram for GFGridContext:
[legend]
Collaboration diagram for GFGridContext:
[legend]

## Public Member Functions

void | init_solver_from_engine () override
void | set_zones (const size_t num_zones)
size_t | get_zones () const
int | evolve (const double *Y_in, size_t num_species, const double *T, const double *rho, double tMax, double dt0, double *Y_out, double *energy_out, double *dEps_dT, double *dEps_dRho, double *specific_neutrino_energy_loss, double *specific_neutrino_flux, double *mass_lost) const
Public Member Functions inherited from GFContext
virtual | ~GFContext ()=default
virtual void | init_species_map (const std::vector< std::string > &species_names)
virtual void | init_engine_from_policy (const std::string &policy_name, const double *abundances, size_t num_species)
fourdst::composition::Composition | init_composition_from_abundance_vector (const std::vector< double > &abundances, size_t num_species) const

## Public Attributes

std::unique_ptr< gridfire::solver::SingleZoneDynamicNetworkSolver > | local_solver
std::unique_ptr< gridfire::solver::MultiZoneDynamicNetworkSolver > | solver
std::unique_ptr< gridfire::solver::SolverContextBase > | solver_ctx
size_t | zones
Public Attributes inherited from GFContext
std::unique_ptr< gridfire::policy::NetworkPolicy > | policy
const gridfire::engine::DynamicEngine * | engine
std::unique_ptr< gridfire::engine::scratch::StateBlob > | engine_ctx
std::vector< fourdst::atomic::Species > | speciesList
std::string | last_error

## Member Function Documentation

## evolve()

int GFGridContext::evolve | ( | const double * | Y_in,
|  | size_t | num_species,
|  | const double * | T,
|  | const double * | rho,
|  | double | tMax,
|  | double | dt0,
|  | double * | Y_out,
|  | double * | energy_out,
|  | double * | dEps_dT,
|  | double * | dEps_dRho,
|  | double * | specific_neutrino_energy_loss,
|  | double * | specific_neutrino_flux,
|  | double * | mass_lost ) const

## get_zones()

size_t GFGridContext::get_zones | ( |  | ) | const

inlinenodiscard

## init_solver_from_engine()

void GFGridContext::init_solver_from_engine | ( |  | ) |

overridevirtual

Implements GFContext.

## set_zones()

void GFGridContext::set_zones | ( | const size_t | num_zones | ) |

inline

## Member Data Documentation

## local_solver

std::unique_ptr<gridfire::solver::SingleZoneDynamicNetworkSolver> GFGridContext::local_solver

## solver

std::unique_ptr<gridfire::solver::MultiZoneDynamicNetworkSolver> GFGridContext::solver

## solver_ctx

std::unique_ptr<gridfire::solver::SolverContextBase> GFGridContext::solver_ctx

## zones

size_t GFGridContext::zones

The documentation for this struct was generated from the following files:

- src/extern/include/gridfire/extern/gridfire_context.h
- src/extern/lib/gridfire_context.cpp